Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.replicator
Class ReplicatorOutput.MessageListenerImpl

    java.lang.Object
      org.jboss.messaging.core.distributed.util.DelegatingMessageListenerSupport
          org.jboss.messaging.core.distributed.replicator.ReplicatorOutput.MessageListenerImpl

All Implemented Interfaces:
  DelegatingMessageListener, DeliveryObserver

Enclosing class:
  ReplicatorOutput

protected class ReplicatorOutput.MessageListenerImpl
extends DelegatingMessageListenerSupport
implements DeliveryObserver

Field Summary

Fields inherited from class org.jboss.messaging.core.distributed.util.DelegatingMessageListenerSupport
`delegate`

Constructor Summary
`ReplicatorOutput.MessageListenerImpl(MessageListener delegate)`

Method Summary
`void` | `acknowledge(Delivery d, Transaction tx)`
`void` | `cancel(Delivery d)`
`byte[]` | `getState()`
`void` | `receive(org.jgroups.Message jgroupsMessage)`
`void` | `setState(byte[] state)`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.messaging.core.distributed.util.DelegatingMessageListenerSupport
`getDelegate, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReplicatorOutput.MessageListenerImpl

    public ReplicatorOutput.MessageListenerImpl(MessageListener delegate)

Method Detail

### receive

    public void receive(org.jgroups.Message jgroupsMessage)

### getState

    public byte[] getState()

### setState

    public void setState(byte[] state)

### acknowledge

    public void acknowledge(Delivery d,
                            Transaction tx)

  Specified by:
    `acknowledge` in interface `DeliveryObserver`

### cancel

    public void cancel(Delivery d)
                throws java.lang.Throwable

  Specified by:
    `cancel` in interface `DeliveryObserver`
  Throws:
    `java.lang.Throwable`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.